Bug 55537 - up2date lists all previous packages with each update but doesn't redownload them
up2date lists all previous packages with each update but doesn't redownload them
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-11-01 13:44 EST by Glenn Fleishman
Modified: 2015-01-07 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-06 15:43:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glenn Fleishman 2001-11-01 13:44:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.12; Mac_PowerPC)

Description of problem:
Up2date works perfectly in this environment, but whenever it is run 
from the command-line as "up2date -u -v", it lists all current 
packages that have been installed by it as if they were being 
downloaded. It, in fact, does not re-download them, nor does it 
reinstall them. And it downloads new packages and installs them 
correctly. This is more of a cosmetic/confusion problem than an 
actual functional error, but it must be symptomatic of a deeper error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. up2date -u -v

Additional info:
Comment 1 Adrian Likins 2001-11-01 16:24:44 EST
I'm not sure I understand what is going on. 

tell me if this sounds like an accurate restatement of the issue:

1. You run up2date, download, and install some updates.

2. You run `up2date -u -v` again, it looks to be redownloading
    the packages you already updated?

One thing is that for packages that are decided it needs to skip (kernel
by default, or packages with config changes that cant reliably be updated)
it will show the list of packages skipped, and with "-v" also show you
the errata advisory information for them.  Could this be whats going on?
Comment 2 Glenn Fleishman 2001-11-01 16:32:30 EST
Steps 1 and 2 you note are what's going on, but it lists every already-
downloaded package, and it takes some time to process them even 
though they are ostensibly already installed. When it hits netscape-
common, it takes 5 to 10 seconds to get through it. I don't think it's actually 
running rpm again (although I can't quite tell - I could monitor if that's 
useful). But it's definitely running through the entire list of updates as if it 
hadn't installed any of them.

I can check /var/spool/up2date and all the RPMs are there. I can check the 
locations and versions, and the new files are installed.

As I say, cosmetic, but time consuming and confusing. I have the kernel 
update exclusion off, and was able to use up2date to install the latest 
Comment 3 Adrian Likins 2001-11-06 15:42:55 EST
dcook, can you try to duplicate this? I'm not having much luck.
Comment 4 Glenn Fleishman 2001-11-12 12:45:14 EST
Now I feel like an idiot. I finally managed to get gnome running on this 
system and ran the gnome version of up2date which offers substantially 
more feedback than the -v flag of up2date from the command line. At 
some point in the past, I'd set up2date to download only. The gnome 
up2date provided that feedback textually - hey, go to up2date-config to 
change this option - which I did and all is well.

You might consider adding that brief banner for us idiots to the command-
line version. Thanks!

Note You need to log in before you can comment on or make changes to this bug.